Results 1 to 6 of 6

Thread: VLC dies instantly

  1. #1

    Default VLC dies instantly

    Weird. Every time I go to open VLC it flashes up for a split second and then dies leaving a bouncing icon in the panel. Tried reinstalling with the Tumbleweed one click package and it still behaves the same??

    Thanks.
    .
    ✶ PC: P55 - i5 760 ✶ W7 / Leap 42.1 Dual Boot ✶/ (ext4). /home (ext4) ✶ KF5 & Plasma 5 Repo - Plasma 5.8.x Qt 5.7 ✶

  2. #2

    Default Re: VLC dies instantly

    Quote Originally Posted by david_banner View Post
    Weird. Every time I go to open VLC it flashes up for a split second and then dies leaving a bouncing icon in the panel.
    Try to run it in a terminal window and post the output, that should point to the problem.

    This is probably caused by incompatible packages.

    Which VLC version are you actually using? The standard one included in openSUSE, the one from Packman, or the one from VLC?
    In any case, a "zypper dup --from X" with specifying the correct repo should fix the problem.

    If you need further help, please also post your repo list:
    Code:
    zypper lr -d
    PS, a side-note:
    As you are apparently using Tumbleweed, you probably should have posted to the Tumbleweed forum. It could be there's some general Tumbleweed-specific problem with VLC at the moment...
    If you want your post to be moved, please post at the triangle below it and "Report" it.

  3. #3

    Default Re: VLC dies instantly

    Does indeed point to something

    Code:
    me@linux-hw5w:~> vlc
    VLC media player 2.1.5 Rincewind (revision 2.1.4-49-gdab6cb5)
    [0xacf0b8] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
    [0xb82b08] qt4 interface error: cannot start Qt multiple times
    [0x7eff00022878] qt4 generic error: cannot start Qt multiple times
    [0xb82b08] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
    [0xb82b08] skins2 interface error: cannot instantiate qt4 dialogs provider
    [0xb82b08] [cli] lua interface: Listening on host "*console".
    VLC media player 2.1.5 Rincewind
    Command Line Interface initialized. Type `help' for help.
    It was the original TW Packman repo link you gave the other day I used. I then used that one-click multimedia repo available through software search which downgraded a couple of packages. Both do the same thing tho.

    Code:
    me@linux-hw5w:~> zypper lr -d
    #  | Alias                               | Name                | Enabled | Refresh | Priority | Type   | URI                                                                                                       | Service
    ---+-------------------------------------+---------------------+---------+---------+----------+--------+-----------------------------------------------------------------------------------------------------------+--------
     1 | http-download.opensuse.org-5e8a9352 | home:gottcode       | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/gottcode/openSUSE_Tumbleweed/                             |        
     2 | http-download.opensuse.org-856244c2 | multimedia:libs     | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/multimedia:/libs/openSUSE_Tumbleweed/                           |        
     3 | http-download.opensuse.org-9fa87e89 | KDE:Extra           | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/KDE:/Extra/openSUSE_Tumbleweed/                                 |        
     4 | openSUSE_Tumbleweed                 | openSUSE_Tumbleweed | Yes     | Yes     |   99     | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/                                                         |        
     5 | openSUSE_Tumbleweed_1               | openSUSE_Tumbleweed | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Tumbleweed/ |        
     6 | repo-debug                          | repo-debug          | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/debug                                                        |        
     7 | repo-non-oss                        | repo-non-oss        | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/non-oss                                                      |        
     8 | repo-oss                            | repo-oss            | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/oss                                                          |        
     9 | repo-src-non-oss                    | repo-src-non-oss    | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/src-non-oss                                                  |        
    10 | repo-src-oss                        | repo-src-oss        | Yes     | Yes     |   99     | yast2  | http://download.opensuse.org/tumbleweed/repo/src-oss
    |
    .
    ✶ PC: P55 - i5 760 ✶ W7 / Leap 42.1 Dual Boot ✶/ (ext4). /home (ext4) ✶ KF5 & Plasma 5 Repo - Plasma 5.8.x Qt 5.7 ✶

  4. #4

    Default Re: VLC dies instantly

    Quote Originally Posted by david_banner View Post
    Does indeed point to something
    Right, but I would have expected something else...

    Code:
    me@linux-hw5w:~> vlc
    VLC media player 2.1.5 Rincewind (revision 2.1.4-49-gdab6cb5)
    [0xacf0b8] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
    [0xb82b08] qt4 interface error: cannot start Qt multiple times
    [0x7eff00022878] qt4 generic error: cannot start Qt multiple times
    [0xb82b08] skins2 interface error: no suitable dialogs provider found (hint: compile the qt4 plugin, and make sure it is loaded properly)
    [0xb82b08] skins2 interface error: cannot instantiate qt4 dialogs provider
    [0xb82b08] [cli] lua interface: Listening on host "*console".
    VLC media player 2.1.5 Rincewind
    Command Line Interface initialized. Type `help' for help.
    Never seen this one, and have no idea what could cause it.

    Have you tried with a new user already?
    Maybe the config is broken somehow.
    Try to run it like this:
    Code:
    vlc --ignore-config
    If that works then run this, to reset the config to the defaults:
    Code:
    vlc --reset-config
    It was the original TW Packman repo link you gave the other day I used.
    Ok. I cannot remember all the time exactly what I told whom...

    Still, try to run:
    Code:
    zypper dup --from 4
    You have multimedia:libs as well which might conflict.

    I even would say you should either remove that repo, or change the priorities.
    zypper dup will happily change packages to versions from other repos, and as multimedia:libs is the devel project for Factory it might contain higher versions than Packman (without full codec support), and even unstable ones.

    This might be a problem here, or not. But it probably will give you problems at some time, and if it's only that some software suddenly cannot play all audio/video files any more...

    Code:
     5 | openSUSE_Tumbleweed_1               | openSUSE_Tumbleweed | Yes     | Yes     |   99     | rpm-md | http://download.opensuse.org/repositories/home:/wolfi323:/branches:/KDE:/Frameworks5/openSUSE_Tumbleweed/ |
    Are you trying to run VLC inside a Plasma 5 session maybe?
    As your error is about the Qt interface plugin, this might make a difference.

    If the above didn't help, try to regenerate VLC's plugin cache:
    Code:
    sudo /usr/lib64/vlc/vlc-cache-gen -f /usr/lib64/vlc/plugins
    or for a 32bit system:
    Code:
    sudo /usr/lib/vlc-cache-gen -f /usr/lib/vlc/plugins
    Last edited by wolfi323; 10-Nov-2014 at 08:45.

  5. #5

    Default Re: VLC dies instantly

    I haven't even got round to trying out Plasma 5 yet, I just installed the repository when I saw it available otherwise I'd forget where it was.

    This worked immediately..

    Code:
    vlc --reset-config
    I'll remove that multumedia:lib repo (and VLC) and go back and install from Packman and re-run

    Code:
    vlc --reset-config
    That should do it
    .
    ✶ PC: P55 - i5 760 ✶ W7 / Leap 42.1 Dual Boot ✶/ (ext4). /home (ext4) ✶ KF5 & Plasma 5 Repo - Plasma 5.8.x Qt 5.7 ✶

  6. #6

    Default Re: VLC dies instantly

    yep. that worked out. thanks.
    .
    ✶ PC: P55 - i5 760 ✶ W7 / Leap 42.1 Dual Boot ✶/ (ext4). /home (ext4) ✶ KF5 & Plasma 5 Repo - Plasma 5.8.x Qt 5.7 ✶

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •